package com.chinaitop.depot.device.service;

import com.chinaitop.depot.device.model.DFacilitiesMaintain;
import com.chinaitop.depot.device.model.DFacilitiesMaintainExample;

import java.util.List;

/**
 * @author yu.ren
 * @description:
 * @create 2022-04-16 13:50
 */
public interface DFacilitiesMaintainService {

    /**
     * 查询列表
     * @param example
     * @return
     */
    List<DFacilitiesMaintain> getList(DFacilitiesMaintainExample example);

    /**
     * 新增设施保养信息
     * @param dFacilitiesMaintain
     */
    void save(DFacilitiesMaintain dFacilitiesMaintain);

    /**
     * 修改设施保养信息
     * @param dFacilitiesMaintain
     */
    void update(DFacilitiesMaintain dFacilitiesMaintain);

    /**
     * 删除
     * @param id
     */
    void remove(Integer id);
}
