package com.chinaitop.depot.device.service.impl;

import com.chinaitop.depot.device.mapper.DFacilitiesMaintainMapper;
import com.chinaitop.depot.device.model.DFacilitiesMaintain;
import com.chinaitop.depot.device.model.DFacilitiesMaintainExample;
import com.chinaitop.depot.device.service.DFacilitiesMaintainService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author yu.ren
 * @description:
 * @create 2022-04-16 13:50
 */
@Service
public class DFacilitiesMaintainServiceImpl implements DFacilitiesMaintainService {
    @Resource
    private DFacilitiesMaintainMapper dFacilitiesMaintainMapper;

    @Override
    public List<DFacilitiesMaintain> getList(DFacilitiesMaintainExample example) {
        return dFacilitiesMaintainMapper.selectByExampleWithBLOBs(example);
    }

    @Override
    public void save(DFacilitiesMaintain dFacilitiesMaintain) {
        dFacilitiesMaintainMapper.insert(dFacilitiesMaintain);
    }

    @Override
    public void update(DFacilitiesMaintain dFacilitiesMaintain) {
        dFacilitiesMaintainMapper.updateByPrimaryKeyWithBLOBs(dFacilitiesMaintain);
    }

    @Override
    public void remove(Integer id) {
        dFacilitiesMaintainMapper.deleteByPrimaryKey(id);
    }
}
