package com.chinaitop.depot.device.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class DFacilitiesBasics {
    private Integer id;

    /**
     * 设施名称
     */
    private String ssmc;

    /**
     * 设施分类
     */
    private String ssfl;

    /**
     * 设施状态
     */
    private String sszt;

    /**
     * 竣工年份
     */
    private Integer jgnf;

    /**
     * 安装时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date azsj;

    /**
     * 调试时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date tssj;

    /**
     * 验收时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date yssj;


    private Integer orgId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 报废日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date bfrq;

    /**
     * 备注
     */
    private String bz;

    /**
     * null
     * @return id null
     */
    public Integer getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * null
     * @return ssmc 设施名称
     */
    public String getSsmc() {
        return ssmc;
    }

    /**
     * null
     * @param ssmc null
     */
    public void setSsmc(String ssmc) {
        this.ssmc = ssmc == null ? null : ssmc.trim();
    }

    /**
     * null
     * @return ssfl null
     */
    public String getSsfl() {
        return ssfl;
    }

    /**
     * null
     * @param ssfl null
     */
    public void setSsfl(String ssfl) {
        this.ssfl = ssfl == null ? null : ssfl.trim();
    }

    /**
     * null
     * @return sszt null
     */
    public String getSszt() {
        return sszt;
    }

    /**
     * null
     * @param sszt null
     */
    public void setSszt(String sszt) {
        this.sszt = sszt == null ? null : sszt.trim();
    }

    /**
     * null
     * @return jgnf null
     */
    public Integer getJgnf() {
        return jgnf;
    }

    /**
     * null
     * @param jgnf null
     */
    public void setJgnf(Integer jgnf) {
        this.jgnf = jgnf;
    }

    /**
     * null
     * @return azsj null
     */
    public Date getAzsj() {
        return azsj;
    }

    /**
     * null
     * @param azsj null
     */
    public void setAzsj(Date azsj) {
        this.azsj = azsj;
    }

    /**
     * null
     * @return tssj null
     */
    public Date getTssj() {
        return tssj;
    }

    /**
     * null
     * @param tssj null
     */
    public void setTssj(Date tssj) {
        this.tssj = tssj;
    }

    /**
     * null
     * @return yssj null
     */
    public Date getYssj() {
        return yssj;
    }

    /**
     * null
     * @param yssj null
     */
    public void setYssj(Date yssj) {
        this.yssj = yssj;
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * null
     * @return bfrq null
     */
    public Date getBfrq() {
        return bfrq;
    }

    /**
     * null
     * @param bfrq null
     */
    public void setBfrq(Date bfrq) {
        this.bfrq = bfrq;
    }

    /**
     * null
     * @return bz null
     */
    public String getBz() {
        return bz;
    }

    /**
     * null
     * @param bz null
     */
    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }
}