package com.chinaitop.depot.device.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class DFacilitiesRepair {
    private Integer id;

    /**
     * 设施基础信息id
     */
    private String basicsId;

    /**
     * 设施名称
     */
    private String ssmc;

    /**
     * 设施分类
     */
    private String ssfl;

    /**
     * 故障日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date gzrq;

    /**
     * 维修开始日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date wxksrq;

    /**
     * 维修结束日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date wxjsrq;

    /**
     * 维修负责人
     */
    private String wxfzr;

    /**
     * 备注
     */
    private String bz;

    private Integer orgId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * null
     * @return id null
     */
    public Integer getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * null
     * @return ssmc null
     */
    public String getSsmc() {
        return ssmc;
    }

    /**
     * null
     * @param ssmc null
     */
    public void setSsmc(String ssmc) {
        this.ssmc = ssmc == null ? null : ssmc.trim();
    }

    /**
     * null
     * @return ssfl null
     */
    public String getSsfl() {
        return ssfl;
    }

    /**
     * null
     * @param ssfl null
     */
    public void setSsfl(String ssfl) {
        this.ssfl = ssfl == null ? null : ssfl.trim();
    }

    /**
     * null
     * @return gzrq null
     */
    public Date getGzrq() {
        return gzrq;
    }

    /**
     * null
     * @param gzrq null
     */
    public void setGzrq(Date gzrq) {
        this.gzrq = gzrq;
    }

    /**
     * null
     * @return wxksrq null
     */
    public Date getWxksrq() {
        return wxksrq;
    }

    /**
     * null
     * @param wxksrq null
     */
    public void setWxksrq(Date wxksrq) {
        this.wxksrq = wxksrq;
    }

    /**
     * null
     * @return wxjsrq null
     */
    public Date getWxjsrq() {
        return wxjsrq;
    }

    /**
     * null
     * @param wxjsrq null
     */
    public void setWxjsrq(Date wxjsrq) {
        this.wxjsrq = wxjsrq;
    }

    /**
     * null
     * @return wxfzr null
     */
    public String getWxfzr() {
        return wxfzr;
    }

    /**
     * null
     * @param wxfzr null
     */
    public void setWxfzr(String wxfzr) {
        this.wxfzr = wxfzr == null ? null : wxfzr.trim();
    }

    /**
     * null
     * @return bz null
     */
    public String getBz() {
        return bz;
    }

    /**
     * null
     * @param bz null
     */
    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBasicsId() {
        return basicsId;
    }

    public void setBasicsId(String basicsId) {
        this.basicsId = basicsId;
    }
}