package com.chinaitop.depot.device.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class StorageDevicecheck {
    private Integer id;

    private String checkNumber;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date checkDate;

    private Integer depotId;

    private String checkPerson;

    private String deviceType;

    private String deviceName;

    private String model;

    private Integer storeCount;

    private Integer reallyCount;

    private String checkResult;

    private String reason;

    private Integer orgId;
    
    //业务字段
    private String DepotName;

    public String getDepotName() {
        return DepotName;
    }

    public void setDepotName(String depotName) {
        DepotName = depotName;
    }

    /**
     * 盘点单
     * @return id 盘点单
     */
    public Integer getId() {
        return id;
    }

    /**
     * 盘点单
     * @param id 盘点单
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 盘点单号
     * @return check_number 盘点单号
     */
    public String getCheckNumber() {
        return checkNumber;
    }

    /**
     * 盘点单号
     * @param checkNumber 盘点单号
     */
    public void setCheckNumber(String checkNumber) {
        this.checkNumber = checkNumber == null ? null : checkNumber.trim();
    }

    /**
     * 盘点时间
     * @return check_date 盘点时间
     */
    public Date getCheckDate() {
        return checkDate;
    }

    /**
     * 盘点时间
     * @param checkDate 盘点时间
     */
    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    /**
     * 库名称
     * @return depot_id 库名称
     */
    public Integer getDepotId() {
        return depotId;
    }

    /**
     * 库名称
     * @param depotId 库名称
     */
    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    /**
     * 负责人
     * @return check_person 负责人
     */
    public String getCheckPerson() {
        return checkPerson;
    }

    /**
     * 负责人
     * @param checkPerson 负责人
     */
    public void setCheckPerson(String checkPerson) {
        this.checkPerson = checkPerson == null ? null : checkPerson.trim();
    }

    /**
     * 盘点种类
     * @return device_type 盘点种类
     */
    public String getDeviceType() {
        return deviceType;
    }

    /**
     * 盘点种类
     * @param deviceType 盘点种类
     */
    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    /**
     * 器材名称
     * @return device_name 器材名称
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 器材名称
     * @param deviceName 器材名称
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    /**
     * 规格型号
     * @return model 规格型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 规格型号
     * @param model 规格型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 库存数量
     * @return store_count 库存数量
     */
    public Integer getStoreCount() {
        return storeCount;
    }

    /**
     * 库存数量
     * @param storeCount 库存数量
     */
    public void setStoreCount(Integer storeCount) {
        this.storeCount = storeCount;
    }

    /**
     * 实际库存数量
     * @return really_count 实际库存数量
     */
    public Integer getReallyCount() {
        return reallyCount;
    }

    /**
     * 实际库存数量
     * @param reallyCount 实际库存数量
     */
    public void setReallyCount(Integer reallyCount) {
        this.reallyCount = reallyCount;
    }

    /**
     * 盘点情况
     * @return check_result 盘点情况
     */
    public String getCheckResult() {
        return checkResult;
    }

    /**
     * 盘点情况
     * @param checkResult 盘点情况
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    /**
     * 原因
     * @return reason 原因
     */
    public String getReason() {
        return reason;
    }

    /**
     * 原因
     * @param reason 原因
     */
    public void setReason(String reason) {
        this.reason = reason == null ? null : reason.trim();
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}