package com.chinaitop.depot.device.model;

import java.util.Date;

public class StorageDeviceget {
    private Integer id;

    private Integer deviceType;

    private Date getTime;

    private String deviceName;

    private String model;

    private Integer getCount;

    private Integer backCount;

    private String bookKeeper;

    private String handler;

    private Integer houseId;

    private String number;

    private String collator;

    private Integer useCount;

    private String remark;

    private Integer inputId;

    private Integer orgId;
    
    //业务字段
    private String orgName;
    
    

    public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

    /**
     * 领用表
     * @return id 领用表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 领用表
     * @param id 领用表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 类型
     * @return device_type 类型
     */
    public Integer getDeviceType() {
        return deviceType;
    }

    /**
     * 类型
     * @param deviceType 类型
     */
    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 领用的时间
     * @return get_time 领用的时间
     */
    public Date getGetTime() {
        return getTime;
    }

    /**
     * 领用的时间
     * @param getTime 领用的时间
     */
    public void setGetTime(Date getTime) {
        this.getTime = getTime;
    }

    /**
     * 器材名称
     * @return device_name 器材名称
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 器材名称
     * @param deviceName 器材名称
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    /**
     * 规格型号
     * @return model 规格型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 规格型号
     * @param model 规格型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 领用数量（可用）
     * @return get_count 领用数量（可用）
     */
    public Integer getGetCount() {
        return getCount;
    }

    /**
     * 领用数量（可用）
     * @param getCount 领用数量（可用）
     */
    public void setGetCount(Integer getCount) {
        this.getCount = getCount;
    }

    /**
     * 归还数量
     * @return back_count 归还数量
     */
    public Integer getBackCount() {
        return backCount;
    }

    /**
     * 归还数量
     * @param backCount 归还数量
     */
    public void setBackCount(Integer backCount) {
        this.backCount = backCount;
    }

    /**
     * 记账人
     * @return book_keeper 记账人
     */
    public String getBookKeeper() {
        return bookKeeper;
    }

    /**
     * 记账人
     * @param bookKeeper 记账人
     */
    public void setBookKeeper(String bookKeeper) {
        this.bookKeeper = bookKeeper == null ? null : bookKeeper.trim();
    }

    /**
     * 经手人
     * @return handler 经手人
     */
    public String getHandler() {
        return handler;
    }

    /**
     * 经手人
     * @param handler 经手人
     */
    public void setHandler(String handler) {
        this.handler = handler == null ? null : handler.trim();
    }

    /**
     * 领用到的仓房
     * @return house_id 领用到的仓房
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 领用到的仓房
     * @param houseId 领用到的仓房
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 设备编号
     * @return number 设备编号
     */
    public String getNumber() {
        return number;
    }

    /**
     * 设备编号
     * @param number 设备编号
     */
    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    /**
     * 核对人
     * @return collator 核对人
     */
    public String getCollator() {
        return collator;
    }

    /**
     * 核对人
     * @param collator 核对人
     */
    public void setCollator(String collator) {
        this.collator = collator == null ? null : collator.trim();
    }

    /**
     * 可用的数量
     * @return use_count 可用的数量
     */
    public Integer getUseCount() {
        return useCount;
    }

    /**
     * 可用的数量
     * @param useCount 可用的数量
     */
    public void setUseCount(Integer useCount) {
        this.useCount = useCount;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 关联入库的id
     * @return input_id 关联入库的id
     */
    public Integer getInputId() {
        return inputId;
    }

    /**
     * 关联入库的id
     * @param inputId 关联入库的id
     */
    public void setInputId(Integer inputId) {
        this.inputId = inputId;
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}