package com.chinaitop.depot.device.model;

import java.util.Date;

public class StorageDevicerepair {
    private Integer id;

    private Integer orgId;

    private String deviceName;

    private String model;

    private String number;

    private Date repairStart;

    private Date repairEnd;

    private String repairer;

    private String deviceManager;

    private Integer repairSumnumber;

    private Integer repairStatus;

    private Integer repairNumber;

    private String remark;
    
  //业务字段
    private String depotName;
    
    private String orgName;

    
    

    public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getDepotName() {
		return depotName;
	}

	public void setDepotName(String depotName) {
		this.depotName = depotName;
	}


    /**
     * 维修表
     * @return id 维修表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 维修表
     * @param id 维修表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 器材名称
     * @return device_name 器材名称
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 器材名称
     * @param deviceName 器材名称
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    /**
     * 规格型号
     * @return model 规格型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 规格型号
     * @param model 规格型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 设备编号
     * @return number 设备编号
     */
    public String getNumber() {
        return number;
    }

    /**
     * 设备编号
     * @param number 设备编号
     */
    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    /**
     * 维修开始时间
     * @return repair_start 维修开始时间
     */
    public Date getRepairStart() {
        return repairStart;
    }

    /**
     * 维修开始时间
     * @param repairStart 维修开始时间
     */
    public void setRepairStart(Date repairStart) {
        this.repairStart = repairStart;
    }

    /**
     * 维修结束时间
     * @return repair_end 维修结束时间
     */
    public Date getRepairEnd() {
        return repairEnd;
    }

    /**
     * 维修结束时间
     * @param repairEnd 维修结束时间
     */
    public void setRepairEnd(Date repairEnd) {
        this.repairEnd = repairEnd;
    }

    /**
     * 维修负责人
     * @return repairer 维修负责人
     */
    public String getRepairer() {
        return repairer;
    }

    /**
     * 维修负责人
     * @param repairer 维修负责人
     */
    public void setRepairer(String repairer) {
        this.repairer = repairer == null ? null : repairer.trim();
    }

    /**
     * 设备负责人
     * @return device_manager 设备负责人
     */
    public String getDeviceManager() {
        return deviceManager;
    }

    /**
     * 设备负责人
     * @param deviceManager 设备负责人
     */
    public void setDeviceManager(String deviceManager) {
        this.deviceManager = deviceManager == null ? null : deviceManager.trim();
    }

    /**
     * 可以维修的总数量
     * @return repair_sumnumber 可以维修的总数量
     */
    public Integer getRepairSumnumber() {
        return repairSumnumber;
    }

    /**
     * 可以维修的总数量
     * @param repairSumnumber 可以维修的总数量
     */
    public void setRepairSumnumber(Integer repairSumnumber) {
        this.repairSumnumber = repairSumnumber;
    }

    /**
     * 维修状态（0：正常，1：维修中，2：故障）
     * @return repair_status 维修状态（0：正常，1：维修中，2：故障）
     */
    public Integer getRepairStatus() {
        return repairStatus;
    }

    /**
     * 维修状态（0：正常，1：维修中，2：故障）
     * @param repairStatus 维修状态（0：正常，1：维修中，2：故障）
     */
    public void setRepairStatus(Integer repairStatus) {
        this.repairStatus = repairStatus;
    }

    /**
     * 要维修的数量
     * @return repair_number 要维修的数量
     */
    public Integer getRepairNumber() {
        return repairNumber;
    }

    /**
     * 要维修的数量
     * @param repairNumber 要维修的数量
     */
    public void setRepairNumber(Integer repairNumber) {
        this.repairNumber = repairNumber;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}