package com.chinaitop.depot.device.service;

import com.chinaitop.depot.device.model.DFacilitiesBasics;
import com.chinaitop.depot.device.model.DFacilitiesBasicsExample;

import java.util.List;

/**
 * @author yu.ren
 * @description: 1:设备,2:设施,3:器材
 * @create 2022-04-16 11:26
 */
public interface DFacilitiesBasicsService {

    /**
     * 查询列表
     * @param example
     * @return
     */
    List<DFacilitiesBasics> getList(DFacilitiesBasicsExample example);

    /**
     * 新增设施基础信息
     * @param dFacilitiesBasics
     */
    void save(DFacilitiesBasics dFacilitiesBasics);

    /**
     * 修改设施基础信息
     * @param dFacilitiesBasics
     */
    void update(DFacilitiesBasics dFacilitiesBasics);

    /**
     * 删除
     * @param id
     */
    void remove(Integer id);

    /**
     * 报废
     * @param dFacilitiesBasics
     */
    void scrap(DFacilitiesBasics dFacilitiesBasics);
}
