package com.chinaitop.depot.device.service;

import com.chinaitop.depot.device.model.DFacilitiesRepair;
import com.chinaitop.depot.device.model.DFacilitiesRepairExample;

import java.util.List;

/**
 * @author yu.ren
 * @description: 1:设备,2:设施,3:器材
 * @create 2022-04-16 11:26
 */
public interface DFacilitiesRepairService {

    /**
     * 查询列表
     * @param example
     * @return
     */
    List<DFacilitiesRepair> getList(DFacilitiesRepairExample example);

    /**
     * 新增设施维修信息
     * @param dFacilitiesRepair
     */
    void save(DFacilitiesRepair dFacilitiesRepair);

    /**
     * 修改设备维修信息
     * @param dFacilitiesRepair
     */
    void update(DFacilitiesRepair dFacilitiesRepair);

    /**
     * 删除
     * @param id
     */
    void remove(Integer id);
}
