package com.chinaitop.depot.device.service.impl;

import com.chinaitop.depot.device.mapper.DFacilitiesBasicsMapper;
import com.chinaitop.depot.device.model.DFacilitiesBasics;
import com.chinaitop.depot.device.model.DFacilitiesBasicsExample;
import com.chinaitop.depot.device.service.DFacilitiesBasicsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author yu.ren
 * @description: 1:设备,2:设施,3:器材
 * @create 2022-04-16 11:26
 */
@Service
public class DFacilitiesBasicsServiceImpl implements DFacilitiesBasicsService {
    @Resource
    private DFacilitiesBasicsMapper dFacilitiesBasicsMapper;

    @Override
    public List<DFacilitiesBasics> getList(DFacilitiesBasicsExample example) {
        return dFacilitiesBasicsMapper.selectByExampleWithBLOBs(example);
    }

    @Override
    public void save(DFacilitiesBasics dFacilitiesBasics) {
        dFacilitiesBasicsMapper.insert(dFacilitiesBasics);
    }

    @Override
    public void update(DFacilitiesBasics dFacilitiesBasics) {
        dFacilitiesBasicsMapper.updateByPrimaryKeyWithBLOBs(dFacilitiesBasics);
    }

    @Override
    public void remove(Integer id) {
        dFacilitiesBasicsMapper.deleteByPrimaryKey(id);
    }

    @Override
    public void scrap(DFacilitiesBasics dFacilitiesBasics) {
        dFacilitiesBasicsMapper.updateByPrimaryKeySelective(dFacilitiesBasics);

    }
}
