package com.chinaitop.depot.utils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Random;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-03-24 10:05
 */
public class GeneratingEncodUtils {

    /**
     * 生成随机数当作getItemID
     * n ： 需要的长度
     *
     * @return
     */
    private static String getItemID(int n) {
        String val = "";
        Random random = new Random();
        for (int i = 0; i < n; i++) {
            String str = random.nextInt(2) % 2 == 0 ? "num" : "char";
            if ("char".equalsIgnoreCase(str)) { // 产生字母
                int nextInt = random.nextInt(2) % 2 == 0 ? 65 : 97;
                val += (char) (nextInt + random.nextInt(26));
            } else if ("num".equalsIgnoreCase(str)) { // 产生数字
                val += String.valueOf(random.nextInt(10));
            }
        }
        return val.toUpperCase();
    }

    /**
     * 生成设备器材入库--设备编号
     * 2022/6/8 应上传数据接口要求，长度不能超过20位，所以注释了3个
     * 设备编号
     * sbbh
     * 91120 11 6103622208D 001 2019110100005
     * 91120 11 01037433414 001 2019110400069
     * 91120 11 6MA06J1UBXH 001 2019110100016
     * 91120 11 6668817862Q 001 2019110100043
     * @param in
     * @return
     */
    public static String gotSbbh(String in){
        StringBuilder builder = new StringBuilder();
        //builder.append("91120");
        builder.append(in);
        //builder.append(getItemID(11));
        //builder.append("001");
        builder.append(DateTimeFormatter.ofPattern("yyyyMMddHHmms").format(LocalDateTime.now()));
        return builder.toString();
    }

}
